
%define ver 0.9.42
%define prefix /usr/X11R6

Summary: Themes for the icewm X Window System window manager.
Name: icewm-themes
Prefix: %prefix
Version: %ver
BuildArch: noarch
Release: 2
Copyright: LGPL
Group: User Interface/Desktops
Source: icewm-themes-%ver.tar.gz
Patch: Makefile.patch
URL: http://www.kiss.uni-lj.si/~k4fr0235/icewm/
Packager: Marko Macek <Marko.Macek@gmx.net>
BuildRoot: /var/tmp/icewm-themes-%ver
Requires: icewm

%description
The icewm-themes package contains themes for the icewm X Window System
window manager.  The icewm window manager is available in the icewm
package.

%prep
%setup -q
%patch -p1 -b .tim

%build

%install
make PREFIX=$RPM_BUILD_ROOT%{prefix} install

find $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/themes -type d | sed -e "s#^$RPM_BUILD_ROOT#%%dir #g" > icewm-themes-list

find $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/themes -type f | sed -e "s#^$RPM_BUILD_ROOT##g" >> icewm-themes-list

%clean
rm -rf $RPM_BUILD_ROOT

%files -f icewm-themes-list
%defattr(-,root,root)

%changelog
* Fri Sep 3 1999 TIm Powers <timp@redhat.com>
- changed buildroot
- added patch for makefile. No need to remove the themes before installing
- quiet setup
- added find statements since the icewm package also installs themes. Best to
  be safe than sorry ;)
